Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/offer_create
Offres

Créer une offre

Crée une offre en attente sans la publier.

POST/offersoffers:write

Demande

urlstring · bodyURL HTTPS d'origine du produit.obligatoire
titlestring · bodyTitre public de l'offre.obligatoire
marketplacestring · bodyMarché source.facultatif
pricenumber · bodyPrix actuel.facultatif
original_pricenumber · bodyPrix précédent.facultatif
currencystring · bodyMonnaie ISO 4217.facultatif
imagestring · bodyURL HTTPS de l'image.facultatif
storestring · bodyNom du magasin.facultatif
categorystring · bodyCatégorie.facultatif
couponstring · bodyCode promo.facultatif
copystring · bodyTexte éditorial de l'offre.facultatif
statusstring · bodyStatut organisé.facultatif

Exemple

curl
curl -X POST 'https://achadu.com/api/v1/offers' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string",
  "price": 329.9,
  "original_price": 329.9
}'

Réponse

201Ressource créée
4xxErreur avec le code, le message et request_id